<?php
  function xmlnorm($value){
   $value = str_replace("&","&#38;",$value);
   $value = str_replace("<","&#60;",$value);
   $value = str_replace(">","&#62;",$value);
   return $value;
  }

  if (isset($todo)) {
    foreach ($_POST as $field => $value){
      if ((strpos($field,'id_')===0) and ($value!=''))
        $ids[]=$value;
      if ((strpos($field,'category_')===0) and ($value!=''))
        $categories[]=$value;
    }
    if (is_array($ids))
      $idlist=implode(',',$ids);
  }

  $db = DB::Connect($dsn); //also works if you include 'adodb/adodb-pear.inc.php' at the top
  $db->EXECUTE("SET NAMES 'utf-8'");//UTF-8 karakterkszletes adatbzishoz
   $db->EXECUTE("SET CHARACTER SET 'utf8'");
   $db->EXECUTE("SET COLLATION_CONNECTION='utf8_general_ci'");
   $db->EXECUTE("SET character_set_results = 'utf8'");
   $db->EXECUTE("SET character_set_server = 'utf8'");
   $db->EXECUTE("SET character_set_client = 'utf8'");
  ADOdb_Session::config($driver, $host, $username, $password, $database,$options);
  ADOdb_session::Persist($connectMode=false); //non persistent connections
  session_name('crm5');
  session_start();

  if (($todo=='relogin') && isset($prefunction))
    $with=$prefunction;

  if ((!isset($_SESSION['data']) || ($_SESSION['data']=='')) && $todo!='relogin' && $todo!='login' && $todo!='register' && $todo!='sendregdata' && $with!='logout')
    $todo='identify';
  elseif ($with=='logout')
    $todo=$with;

  if ($todo=='login' || $todo=='sendregdata')
    $with='contacts';

  if ($with=='contacts')
    $fields = "a.first as first,a.last as last,a.email as email,a.mobile as mobile,date_format(a.rectime,'%Y-%m-%d %H:%i:%s') as rectime,a.id as id";

  $rs=$db->Execute("select expireref, expiry from {$options['table']} where sesskey = ".$db->qstr(session_id()));
  if ($rs){
    $USERID = $rs->fields['expireref'];
    $ADODB_SESSION_EXPIRE_NOTIFY = array('USERID','NotifyFn');
  }
  $identified=(isset($USERID) && ($USERID!=''));

  if ($todo!='login' && $todo!='relogin' && $todo!='sendregdata'){
    if (!$identified)
      $todo = 'identify';
    elseif ($todo=='identify')
      $todo='reidentify';
  }

  switch($todo){
    case 'delete':
         if (isset($idlist) and ($with=='contacts' or $with=='categories')){
           $query="delete from $with where id in ($idlist) " . ($with=='contacts' ? " and createUserId = $USERID":"");
           //print "$query<br>";
           $result=$db->Execute($query);
           $num=$db->Affected_Rows();
           if (($with=='contacts') && ($num>0)){
             $query="delete from category_contact where contact_id in ($idlist)";
             $result=$db->Execute($query);
           }
           //print "Affected rows: $num<br>";
           //if ($num<1)
             //print (mysql_error());
           if ($with=='categories') {
             $query="delete from category_contact where category_id in ($idlist)";
             $result=$db->Execute($query);
           }
         }
         $todo='list';
         break;
    case 'save':
         if ($with=='contacts') {
           if (isset($id) and ($id!='')) {
             $query="update contacts set first=".$db->qstr($first,get_magic_quotes_gpc())
                    .",last=".$db->qstr($last,get_magic_quotes_gpc())
                    .",email='".$email."'"
                    .",mobile='".$mobile."'"
                    .",rectime='".$rectime."'"
                    .",lastModifyUserId = $USERID"
                    ." where id = $id";
           } else {
             $query="insert into contacts (first,last,email,mobile,rectime,createUserId) values ("
             .$db->qstr($first,get_magic_quotes_gpc()).","
             .$db->qstr($last,get_magic_quotes_gpc()).",'$email','$mobile','$rectime',$USERID)";
           }
           //print "$query<br>";
           $result=$db->Execute($query);
           $num=$db->Affected_Rows();
           //print "Affected rows: $num<br>";
           //if ($num<1)
             //print (mysql_error());
           if (!isset($id)||($id=='')){
             $id = $db->Insert_ID();
           } else {
             $query="delete from category_contact where contact_id = $id";
             $result=$db->Execute($query);
           }
           if (isset($categories)){
             foreach($categories as $value){
               $query="insert into category_contact (category_id, contact_id) values ($value,$id)";
               $result=$db->Execute($query);
             }
           }
           $todo='list';
         } elseif ($with=='categories') {
           if (isset($id) and ($id!='')) {
             $query="update categories set name_hu=".$db->qstr($categoryname_hu,get_magic_quotes_gpc())
             .",name_en=".$db->qstr($categoryname_en,get_magic_quotes_gpc())." where id = $id";
           } else {
             $query="insert into categories (name_hu,name_en) values ("
             .$db->qstr($categoryname_hu,get_magic_quotes_gpc())
             .",".$db->qstr($categoryname_en,get_magic_quotes_gpc()).")";
           }
           //print "$query<br>";
           $result=$db->Execute($query);
           $num=$db->Affected_Rows();
           //print "Affected rows: $num<br>";
           //if ($num<1)
             //print (mysql_error());
           $todo='list';
         }
         break;
    case 'cancel':
         $todo='list';
         break;
    case 'show':
    case 'edit':
         if (!isset($idlist)) {
           $todo='list';
           break;
         }
    case 'search':
    case 'new':
         include("lib/edit.php");
         break;
    case 'logout':
         session_destroy();
         $identified=false;
         $todo='identify';
         break;
    case 'sendregdata':
         if (!saveRegister($user,$passwd,$firstname,$lastname,$validto))
           $todo='register';
         else
           $todo='list';
         break;
    case 'login':
         $identified = false;
         if (isset($user) && isset($passwd) && ($user!='') && ($passwd!='')){
           if (!identifyUser($user,$passwd,'bookshelf'))
             $todo = 'identify';
           else {
             $todo = 'list';
             $identified = true;
           }
         } else
           $todo = 'identify';
         break;
    case 'relogin':
         $identified = false;
         if (isset($user) && isset($passwd) && ($user!='') && ($passwd!='')){
           if (!reidentifyUser($user,$passwd,'bookshelf',session_id())){
             $todo = 'reidentify';
           } else {
             $todo = 'relocate';
             $identified = true;
           }
         } else
           $todo = 'reidentify';
         break;
    case 'filter':
         if (isset($first)&&($first!=''))
           $where[]="a.first like ".$db->qstr($first,get_magic_quotes_gpc());
         if (isset($last)&&($last!=''))
           $where[]="a.last like ".$db->qstr($last,get_magic_quotes_gpc());
         if (isset($email)&&($email!=''))
           $where[]="a.email like ".$db->qstr($email,get_magic_quotes_gpc());
         if (isset($mobile)&&($mobile!=''))
           $where[]="a.mobile like ".$db->qstr($mobile,get_magic_quotes_gpc());
         if (isset($rectime)&&($rectime!=''))
           $where[]="a.rectime >= '$rectime'";
         if (isset($categories)) {
           $category_filter=$categories;
         }
         break;
    default:
         if (($todo!='clear')&&($todo!='identify')&&(!$todo=='register'))
           $todo='list';
         else {
           //echo "USERID: $USERID, todo: $todo, identified: $identified, with = $with, session['data']:";
           //var_dump($_SESSION['data']);
         }
  }
  //print "todo: ${todo}";
  if ($todo!='new' && $todo!='search' && $todo!='edit' && $todo!='show')
  switch ($todo) {
     case 'relocate':
          header( 'Location: index.php' );
          break;
     case 'register':
         include('lib/register.php');
         break;
     case 'reidentify':
         include("lib/reidentify.php");
         break;
     case $todo=='list':
     case $todo=='clear':
     case $todo=='filter':
         include("lib/list.php");
         break;
     default:
         include("lib/identify.php");
         break;
  }

  session_write_close();
  $db->close();
?>
