-- phpMyAdmin SQL Dump
-- version 2.10.1
-- http://www.phpmyadmin.net
-- 
-- Hoszt: localhost
-- Létrehozás ideje: 2009. Aug 25. 21:25
-- Szerver verzió: 5.0.45
-- PHP Verzió: 5.2.5

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";

-- 
-- Adatbázis: `test`
-- 

-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `auser`
-- 

CREATE TABLE `auser` (
  `userName` varchar(16) character set utf8 collate utf8_hungarian_ci NOT NULL,
  `passwd` varchar(12) character set utf8 collate utf8_hungarian_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(128) character set utf8 collate utf8_hungarian_ci NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `userName` (`userName`,`passwd`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=49 ;

-- 
-- Tábla adatok: `auser`
-- 

INSERT INTO `auser` (`userName`, `passwd`, `id`, `email`) VALUES 
('aaaaaa', '111111', 48, 'a.b@c.se');

-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `categories`
-- 

CREATE TABLE `categories` (
  `id` int(6) NOT NULL auto_increment,
  `name_hu` varchar(30) NOT NULL,
  `name_en` varchar(30) NOT NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=12 ;

-- 
-- Tábla adatok: `categories`
-- 

INSERT INTO `categories` (`id`, `name_hu`, `name_en`) VALUES 
(4, 'Munkatárs', 'Colleauge'),
(8, 'Magán', 'Personal'),
(9, 'Barátok', 'Friends'),
(10, 'Család', 'Family');

-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `category_contact`
-- 

CREATE TABLE `category_contact` (
  `category_id` int(6) NOT NULL,
  `contact_id` int(6) NOT NULL,
  UNIQUE KEY `ids` (`category_id`,`contact_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Tábla adatok: `category_contact`
-- 

INSERT INTO `category_contact` (`category_id`, `contact_id`) VALUES 
(4, 13),
(4, 16),
(4, 17),
(4, 18),
(4, 19),
(8, 5),
(8, 14),
(9, 5),
(10, 4),
(10, 15),
(10, 18);

-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `contacts`
-- 

CREATE TABLE `contacts` (
  `id` int(6) NOT NULL auto_increment,
  `first` varchar(15) NOT NULL,
  `last` varchar(15) NOT NULL,
  `mobile` varchar(20) default NULL,
  `email` varchar(30) NOT NULL,
  `rectime` timestamp NOT NULL default CURRENT_TIMESTAMP,
  `createUserId` int(10) unsigned NOT NULL default '1',
  `lastModifyUserId` int(10) unsigned default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `id` (`id`),
  KEY `id_2` (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=20 ;

-- 
-- Tábla adatok: `contacts`
-- 

INSERT INTO `contacts` (`id`, `first`, `last`, `mobile`, `email`, `rectime`, `createUserId`, `lastModifyUserId`) VALUES 
(4, 'Emőke', 'Balla', '', 'a@b.personal.hu', '2007-05-11 13:31:29', 1, 1),
(5, 'bolyhos', 'cirmos', '', 'b@c.busines.hu', '2007-05-11 13:31:29', 1, 1),
(6, 'citrom', 'darack', '', 'citrom@dalma.hu', '2007-05-11 13:31:29', 1, NULL),
(12, 'Endre', 'Molnár', '', 'mendre@bingo.hu', '2009-07-05 00:00:00', 1, NULL),
(13, 'Márta', 'Suszter', '', 'smarta@freemail.com', '2009-07-05 00:00:00', 2, 1),
(14, 'ba', 'sa', '', 'ba@sa.co', '2009-07-06 00:00:00', 4, NULL),
(15, 'zuza', 'olpa', '', 'a.b@c.se', '2009-07-06 00:00:00', 7, NULL),
(16, 'a', 'b', '', 'citrom@dalma.hu', '2009-07-07 00:00:00', 8, NULL),
(17, 'endre', 'almási', '', 'odon@varrom.hu', '2009-08-19 00:00:00', 9, NULL),
(18, 'Annamária', 'Rövid', '', 'ran@maria.hu', '2009-08-28 00:00:00', 1, 1),
(19, 'Lajos', 'Hosszú', '', 'bajusz@mateszalka.hu', '2009-08-26 00:00:00', 1, NULL);

-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `sessions2`
-- 

CREATE TABLE `sessions2` (
  `sesskey` varchar(64) NOT NULL default '',
  `expiry` datetime NOT NULL,
  `expireref` varchar(250) default '',
  `created` datetime NOT NULL,
  `modified` datetime NOT NULL,
  `sessdata` longtext,
  PRIMARY KEY  (`sesskey`),
  KEY `sess2_expiry` (`expiry`),
  KEY `sess2_expireref` (`expireref`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Tábla adatok: `sessions2`
-- 


-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `shopping_cart`
-- 

CREATE TABLE `shopping_cart` (
  `userId` int(10) unsigned NOT NULL,
  `productId` int(10) unsigned NOT NULL,
  `price` float unsigned default NULL,
  `count` float unsigned default NULL,
  KEY `userId` (`userId`,`productId`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 COMMENT='price';

-- 
-- Tábla adatok: `shopping_cart`
-- 


-- --------------------------------------------------------

-- 
-- Tábla szerkezet: `user`
-- 

CREATE TABLE `user` (
  `firstName` varchar(64) character set utf8 collate utf8_hungarian_ci default NULL,
  `lastName` varchar(64) character set utf8 collate utf8_hungarian_ci default NULL,
  `userName` varchar(16) character set utf8 collate utf8_hungarian_ci NOT NULL,
  `passwd` varchar(12) character set utf8 collate utf8_hungarian_ci NOT NULL,
  `id` int(11) NOT NULL auto_increment,
  `ValidTo` date default NULL,
  `email` varchar(128) character set utf8 collate utf8_hungarian_ci NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `userName` (`userName`,`passwd`),
  KEY `ValidTo` (`ValidTo`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

-- 
-- Tábla adatok: `user`
-- 

INSERT INTO `user` (`firstName`, `lastName`, `userName`, `passwd`, `id`, `ValidTo`, `email`) VALUES 
('Zoltán', 'Papp', 'pzoli', 'q', 1, '0000-00-00', ''),
('András', 'Somogyi', 'sandras', 'q', 2, '0000-00-00', ''),
('András', 'Almás', 'aa', 'a', 4, '0000-00-00', ''),
('zala', 'zola', 'zazo', 'aa', 6, '0000-00-00', ''),
('za', 'zu', 'zazo', 'aaa', 7, '0000-00-00', ''),
('Zig', 'Zag', 'ziza', 'q', 8, '0000-00-00', ''),
('papp', 'pál', 'ppál', 'p', 9, '2009-08-19', '');
